workflow:
  id: teams-adaptive-card-notifier
  name: Teams Adaptive Card Notifier
  description: Sends customized Microsoft Teams notifications using Adaptive Cards with dynamic alert information and formatted sections.
  disabled: false
  triggers:
    - type: manual
    - filters:
        - key: source
          value: r".*"
      type: alert
  consts: {}
  owners: []
  services: []
  steps: []
  actions:
    - name: teams-action
      provider:
        config: "{{ providers.teams }}"
        type: teams
        with:
          message: ""
          sections: '[{"type": "TextBlock", "text": "{{alert.name}}"}, {"type": "TextBlock", "text": "Tal from Keep"}]'
          typeCard: message
